Bug 1119141 - [Nagios] - All graphs should be consistent.
Summary: [Nagios] - All graphs should be consistent.
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nagios-server-addons
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: sankarshan
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 06:46 UTC by RamaKasturi
Modified: 2018-08-14 11:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 07:55:22 UTC


Attachments (Terms of Use)
Cluster utilizaiton graph (137.85 KB, image/png)
2014-07-14 06:46 UTC, RamaKasturi
no flags Details
Volume Utilization Graph (138.04 KB, image/png)
2014-07-14 06:47 UTC, RamaKasturi
no flags Details
CPU utilization graph (187.86 KB, image/png)
2014-07-14 06:52 UTC, RamaKasturi
no flags Details
Disk utilization (162.60 KB, image/png)
2014-07-14 06:59 UTC, RamaKasturi
no flags Details
Memory utilization (145.52 KB, image/png)
2014-07-14 06:59 UTC, RamaKasturi
no flags Details
Swap Utilization graph (138.71 KB, image/png)
2014-07-14 07:01 UTC, RamaKasturi
no flags Details

Description RamaKasturi 2014-07-14 06:46:18 UTC
Created attachment 917682 [details]
Cluster utilizaiton graph

Description of problem:
Graphs for cluster, volume, brick, disk , cpu , memory and swap should be consistent. 

Version-Release number of selected component (if applicable):
nagios-server-addons-0.1.5-1.el6rhs.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install nagios on RHS nodes.
2. Now set up a cluster with volumes in it.
3. click on the cpu, memory, disk, swap, brick , cluster and volume utilization graphs.

Actual results:
There is no consistency across the graphs.

Expected results:
All the graphs should be conistent.

Additional info:

Comment 1 RamaKasturi 2014-07-14 06:47:35 UTC
Created attachment 917683 [details]
Volume Utilization Graph

Comment 2 RamaKasturi 2014-07-14 06:52:30 UTC
Created attachment 917684 [details]
CPU utilization graph

Comment 3 RamaKasturi 2014-07-14 06:59:34 UTC
Created attachment 917686 [details]
Disk utilization

Comment 4 RamaKasturi 2014-07-14 06:59:56 UTC
Created attachment 917687 [details]
Memory utilization

Comment 5 RamaKasturi 2014-07-14 07:01:02 UTC
Created attachment 917688 [details]
Swap Utilization graph

Comment 7 Dusmant 2014-09-25 07:05:34 UTC
Taking a look at the attached graphs, only the Volume utilization and Disk utilization graphs should be brought to same format.

For Y-axis of both the graphs ( Volume and Disk ), it should say 
%Usage (of <TOTAL-SIZE>)

e.g. %Usage (of 2TB ) 
     %Usage (of 300GB)

Comment 8 RamaKasturi 2014-09-25 07:41:14 UTC
Hi Dusmant,

      Here is what i meant by  saying all graphs should be consistent

1) Some of  them are line graphs while some are area graphs.
2) Colors of plotting the graphs are different.
3) Some have the command what it is executing, while others does not have.

Comment 9 Dusmant 2014-09-25 07:45:08 UTC
Lets discuss this and take it in 3.0.3

Comment 11 Sahina Bose 2018-01-30 07:55:22 UTC
Thank you for the bug report. However, closing this as the bug is filed against gluster nagios monitoring for which no further new development is being undertaken.


Note You need to log in before you can comment on or make changes to this bug.